Event detail

GET/events/:id

Retrieve event detail. The path accepts an ID or a slug. Includes sessions, speakers, stages, tickets and organizers.

AuthNot required

Path parameters

idstringrequired

Event ID or slug

Response

FieldTypeDescription
id / title / slugstringBasics
description / customStylestring | objectDescription / custom style
schedulesobject[]Schedules
organizers / stages / sessions / speakers / ticketsobject[]Organizers / stages / sessions / speakers / tickets
hasEnded / hasInvitationTicketsbooleanEnded flag / invitation tickets flag
Request
curl https://api.4s.link/events/ID \
-H "Authorization: Bearer 4s_at_..."
Example response
{
"id": "e1f2a3b4-...",
"title": "4S Tech Conference 2026",
"slug": "tech-conf-2026",
"description": "...",
"eventType": "ONSITE",
"state": "PUBLISHED",
"schedules": [{ "startTime": "...", "endTime": "..." }],
"location": { "name": "..." },
"organizers": [],
"stages": [],
"sessions": [],
"speakers": [],
"tickets": [],
"tags": ["tech"],
"hasEnded": false,
"hasInvitationTickets": false,
"createdBy": { "id": "a1b2c3d4-...", "slug": "taro" }
}